#pragma once

#include "CoreMinimal.h"
#include "BaseSightManagerComponent.h"
#include "PhantomSightManager.generated.h"

class ASurvivor;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class UPhantomSightManager : public UBaseSightManagerComponent
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable, NetMulticast, Reliable)
	void Multicast_OnPlayerSeesPhantom(ASurvivor* survivor);

public:
	UPhantomSightManager();
};

FORCEINLINE uint32 GetTypeHash(const UPhantomSightManager) { return 0; }
